最新消息:欢迎加入小松的QQ群一起讨论一起学习,服务器快到期了,新买了台服务器,最近要做服务器迁移

PHP版本验证

PHP 565浏览 0评论

在看一些开源程序的时候,它会要求php什么版本以上,怎么做到这个呢?

PHP_VERSION是一个常量,他就能获得PHP版本信息
version_compare是一个版本比较工具,当然也可以作为其他的版本比较工具
请看如下代码
if (version_compare(PHP_VERSION, ‘5.1.0’) >= 0) {
echo ‘I am at least PHP version 5.3.0, my version: ‘ . PHP_VERSION . “\n”;
}
version_compare默认情况下,在第一个版本低于第二个时,version_compare() 返回 -1;如果两者相等,返回 0;第二个版本更低时则返回 1。

QQ交流群:136351212

如无特别说明,本站文章皆为原创,若要转载,务必请注明以下原文信息:
转载保留版权:小松博客» PHP版本验证
本文链接地址:https://www.phpsong.com/736.html

发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
木有头像就木有JJ!点这里按步骤申请Gravatar头像吧!